why "jitsu deploy" got "Error: Cannot find module 'browserid-verifier'"?

Seems only a module's missing, but I've wrote the in the package.jsonfile, and others seems fine.
I've debugged this little app locally many times, there is a version of browserid module here...
The browserid-verifier module can be found here: https://github.com/lloyd/node-browserid
and, `package.jsonq file:

{ "name": "daily_bookmarks", "subdomain": "daily_bookmarks", "scripts": { "start": "server.coffee" }, "version": "0.0.0-9", "engines": { "node": "0.6.x" }, "main": "server.js", "dependencies": { "mongodb": "0.9.9", "socket.io": "0.9.3", "ezcrypto": "0.0.3", "browserid-verifier": "0.0.4" } }

the version on my laptop:

$ npm list -g | grep browser ├─┬ [email protected] │ ├─┬ [email protected]

ERROR:

$ jitsu deploy info: Welcome to Nodejitsu info: It worked if it ends with Nodejitsu ok info: Executing command deploy info: Analyzing your application dependencies in server.coffee warn: Local version appears to be old. warn: Your package.json version will be incremented for you automatically. warn: About to write /home/chen/code/home/git/docview/projects/daily_bookmarks/package.json data: data: { data: engines: { node: '0.6.x' }, data: dependencies: { data: socket.io: '0.9.3', data: browserid-verifier: '0.0.4', data: mongodb: '0.9.9', data: ezcrypto: '0.0.3' data: }, data: subdomain: 'daily_bookmarks', data: version: '0.0.0-9', data: name: 'daily_bookmarks', data: main: 'server.js', data: scripts: { start: 'server.coffee' } data: } data: prompt: Is this ok? (yes): warn: Creating new snapshot for version 0.0.0-9 info: Done creating snapshot 0.0.0-9 info: Updating application daily_bookmarks info: Activating snapshot 0.0.0-9 for daily_bookmarks info: Stopping app daily_bookmarks info: App daily_bookmarks is now stopped info: Starting app daily_bookmarks error: Error running command deploy error: Nodejitsu Error (500): Internal Server Error info: Nodejitsu not ok

-------------Problems Reply------------

npm ERR! error installing [email protected]
npm ERR! error installing [email protected]

npm ERR! ...SSL routines:SSL23_GET_SERVER_HELLO:unknown protocol:s23_clnt.c:683:

This is what I got while I was trying to install browserid-verifier locally. It seems that there is some problem while trying to npm install it. You can bundle it in your app.

"bundleDependencies": [
"browserid-verifier"
]

Category:node.js Views:0 Time:2012-03-29

Related post

Copyright (C) dskims.com, All Rights Reserved.

processed in 0.138 (s). 11 q(s)